Weilai.AIWeilai.AI
User GuideInstallationAPI ReferenceAI ApplicationsSkillsHelp & SupportBusiness Cooperation
AI Model APIVideosKling

Kling Image to Video

Generate video from images using the Kling model.

Supports passing image URLs or Base64 encoded image data via the image parameter.

POST
/kling/v1/videos/image2video

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/kling/v1/videos/image2video" \  -H "Content-Type: application/json" \  -d '{}'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?

Last updated on